Jump to content

How can i override core files in latest version of prestashop 1.6.0.12


imnik
 Share

Recommended Posts

Please help me out, how can i override core files in latest version of prestashop 1.6.0.12 as the process we use to follow in prestashop 1.6.0.9 is unsuccessful here,let me clarify mymodule works in prestashop 1.6.0.9

In brief i have installed latest version and simply tried overriding AdminProductsController.php keeping it here

 

C:\xampp\htdocs\prestashop12\modules\mymodule\override\controllers\admin\AdminProductsController.php

 

Changes made :-
    public function __construct()

    {
        
        echo "hello world";

        echo "<script>alert('hello')</script>";

 

According to me it should appear here, correct me if i am wrong

C:\xampp\htdocs\prestashop12\override\controllers\admin\

 

however it did not and while installing mymodule shows the following error

 

The following module(s) could not be installed properly:

  • mymodule :
        Unable to install override: Class AdminProductsControllerOverride54ed8fad9369e does not exist

 

  • Like 2

Share this post


Link to post
Share on other sites

 

Please help me out, how can i override core files in latest version of prestashop 1.6.0.12 as the process we use to follow in prestashop 1.6.0.9 is unsuccessful here,let me clarify mymodule works in prestashop 1.6.0.9

In brief i have installed latest version and simply tried overriding AdminProductsController.php keeping it here

 

C:\xampp\htdocs\prestashop12\modules\mymodule\override\controllers\admin\AdminProductsController.php

 

Changes made :-

    public function __construct()

 

    {

        

        echo "hello world";

 

        echo "<script>alert('hello')</script>";

 

According to me it should appear here, correct me if i am wrong

C:\xampp\htdocs\prestashop12\override\controllers\admin\

 

however it did not and while installing mymodule shows the following error

 

The following module(s) could not be installed properly:

  • mymodule :

        Unable to install override: Class AdminProductsControllerOverride54ed8fad9369e does not exist

 

i am also getting same problem please help me

Share this post


Link to post
Share on other sites

 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More